PCIDUMP(8)

NAME
pcidump - show PCI device data

SYNOPSIS
pcidump [-v] [-x | -xx | -xxx] [-d pcidev] [bus:dev:func]
pcidump -r file [-d pcidev] bus:dev:func

DESCRIPTION
The pcidump utility displays the device address, vendor, and product name of PCI devices. When no arguments are given, information on all PCI devices in the system is shown; otherwise a single PCI domain or device may be specified.

The options are as follows:

-d pcidev
    Specify a file to use for PCI lookups. If specified without bus:dev:func, all PCI devices in the domain will be shown.

-r file
    Reads the PCI ROM from the device specified by bus:dev:func, and writes its contents to file.

-v  Shows detailed information about PCI devices.

-x  Shows a hexadecimal dump of the first 64 bytes of PCI config space.

-xx Shows a hexadecimal dump of the full PCI config space.

-xxx
    Shows a hexadecimal dump of the PCIe extended config space.

    bus:dev:func Show information about the PCI device specified by the tuple given on the command line. If the -d option is not given, /dev/pci is used.

FILES
/dev/pci*
    Device files for accessing PCI domains.

SEE ALSO
pci(4)

HISTORY
The pcidump utility first appeared in OpenBSD 4.3.

AUTHORS
-nosplit The pcidump utility was written by David Gwynne <dlg@openbsd.org>.

BUGS
The default behaviour of scanning all PCI domains is limited to those domains that have an entry in /dev.